image: docker:latest

services:
- docker:dind

stages:
- build

variables:
  DOCKER_DRIVER: overlay2

before_script:
- docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}

build:
  stage: build
  tags:
  - docker
  script:
  - docker build -t ${CI_REGISTRY_IMAGE} .
  - docker push ${CI_REGISTRY_IMAGE}
